> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trailers

> List trailers.



## OpenAPI

````yaml /spec/oas.yaml get /trailers
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /trailers:
    get:
      tags:
        - Trailers
      summary: List Trailers
      description: List trailers.
      operationId: trailers_list_trailers
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrailerListModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    TrailerListModel:
      type: object
      description: TrailerModel list (paged).
      properties:
        current_limit:
          type: integer
          description: Maximun number of results per page.
        current_page:
          type: integer
          description: Paged results page index (starting from 1).
        results:
          $ref: '#/components/schemas/TrailerModelArray'
        total_count:
          type: integer
          description: Paged results total viewable records.
        total_pages:
          type: integer
          description: Paged results total pages.
      required:
        - current_limit
        - current_page
        - results
        - total_count
        - total_pages
    TrailerModelArray:
      type: array
      items:
        $ref: '#/components/schemas/TrailerModel'
    TrailerModel:
      type: object
      description: Trailer profile.
      properties:
        id:
          type: integer
          format: int64
          description: Trailer record identifier.
        location_id:
          type: integer
          format: int64
          description: Location identifier.
        make:
          type: string
          description: Truck make (free text).
        name:
          type: string
          description: Trailer name (free text).
        size:
          type: string
          description: Tailer size.
        weight:
          type: integer
          description: Trailer year.
        year:
          type: integer
          description: Trailer year.
      required:
        - id
        - location_id
        - make
        - name
        - size
        - weight
        - year
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````